%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 2
%define qtsubminor 0
%define rel 2

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtx11extras %mklibname qtx11extras %qtmajor
%define libqtx11extras_d %mklibname qt5x11extras -d
%define libqtx11extras_p_d %mklibname qt5x11extras-private  -d

%if %snapshot
%define qttarballdir qtx11extras-%{qtversion}-%date
%else
%define qttarballdir qtx11extras-opensource-src-%{qtversion}
%endif
Name: qtx11extras5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/5.2/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qt5gui-private-devel
BuildRequires: qt5widgets-private-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Provides specific APIs for X11

#------------------------------------------------------------------------------

%package -n %{libqtx11extras}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtx11extras}
Qt%{qtmajor} Component Library.


%files -n %{libqtx11extras}
%{_qt5_libdir}/libQt5X11Extras.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtx11extras_d}
Summary: Devel files needed to build apps based on QtSvg
Group:    Development/KDE and Qt
Requires: %{libqtx11extras} = %version
Provides: libqtx11extras5-devel = %version
Provides: libqt5x11extras-devel = %version
Provides: qtx11extras5-devel = %version
Provides: qt5x11extras-devel = %version

%description -n %{libqtx11extras_d}
Devel files needed to build apps based on QtSvg.

%files -n %{libqtx11extras_d}
%{_qt5_includedir}/QtX11Extras
%{_qt5_libdir}/cmake/Qt5X11Extras
%{_qt5_libdir}/libQt5X11Extras.prl
%{_qt5_libdir}/libQt5X11Extras.so
%{_qt5_libdir}/pkgconfig/Qt5X11Extras.pc
%{_qt5_datadir}/mkspecs/modules/qt_lib_x11extras.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_x11extras_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556699
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554454
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547091
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538876
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 490679
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428828
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427038
- New QT 5.2 Snapshot

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-0.git20130128.2.mga3
+ Revision: 394123
- Rebuild against new qt5

* Mon Jan 28 2013 neoclust <neoclust> 5.0.1-0.git20130128.1.mga3
+ Revision: 392931
- imported package qtx11extras5

